using System.Collections.Generic;

namespace Project.B.Player
{
    /// <summary>
    /// 玩家键位
    /// </summary>
    public interface IPlayerKeyMap:IKeyMap
    {
        /// <summary>
        /// 移动
        /// </summary>
        public string MovementKey { get; set; }
        /// <summary>
        /// 视角
        /// </summary>
        public string ViewKey { get; set; }
        /// <summary>
        /// 跳跃
        /// </summary>
        public string JumpKey { get; set; }
        /// <summary>
        /// 奔跑
        /// </summary>
        public string RunKey{ get; set; }
        /// <summary>
        /// 蹲下
        /// </summary>
        public string CrouchKey { get; set; }
        /// <summary>
        /// 切换第三人称相机
        /// </summary>
        public string ToggleCameraKey { get; set; }
        /// <summary>
        /// 互动
        /// </summary>
        public string InteractiveKey { get; }
        /// <summary>
        /// 收起武器
        /// </summary>
        public string HolsterKey { get; }
        /// <summary>
        /// 主武器
        /// </summary>
        public string PrimaryWeaponKey { get; }
        /// <summary>
        /// 副武器
        /// </summary>
        public string SecondaryWeaponKey { get; }
        /// <summary>
        /// 随身武器
        /// </summary>
        public string SidearmKey { get; }
        /// <summary>
        /// 消耗品
        /// </summary>
        public string SuppliesKey { get; }
        /// <summary>
        /// 战术道具
        /// </summary>
        public string TacticalKey { get; }
        /// <summary>
        /// 致命道具
        /// </summary>
        public string LethalKey { get; }
        /// <summary>
        /// 连杀道具
        /// </summary>
        public string KillStreakKey { get; }
        /// <summary>
        /// 滚轮缩放,在不同状态下有不同的表现
        /// </summary>
        public string ScrollKey { get; }
        /// <summary>
        /// 近战
        /// </summary>
        public string MeleeKey { get; }
        /// <summary>
        /// 重装
        /// </summary>
        public string ReloadKey { get; }
        /// <summary>
        /// 瞄准
        /// </summary>
        public string AimKey { get; }
        /// <summary>
        /// 开火
        /// </summary>
        public string FireKey { get; }
    }
}


